List RFIs
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/rfis \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/rfis"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/rfis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_pages": 1,
"total_items": 10,
"data": [
{
"account_id": "f5bb6498-552e-40a5-b14b-616aa04ac1c1",
"rfi_id": "f846c1c3-8e8e-4560-b1a8-5318e858df1c",
"status": "SUBMITTED_PENDING",
"create_time": "2024-11-08T17:17:32+08:00",
"update_time": "2024-11-09T17:17:32+08:00",
"request": [
{
"question": {
"key": "basic_certificate_of_incorporation",
"comment": "Company Registration Documentation: includes company name, registered address, business license, etc.",
"type": "ATTACHMENT"
},
"answer": {
"key": "basic_certificate_of_incorporation",
"type": "ATTACHMENT",
"attachments": [
"63d75f6d-97a3-478c-bdbf-b050c650d72a"
]
}
}
]
}
]
}Request for Information (RFI)
List RFIs
Returns a paginated list of RFIs raised against your UQPAY account. Use this to discover open RFIs that require your action and to review previously answered ones.
GET
/
v1
/
rfis
List RFIs
Authorizations
The API token for login provided by UQPAY.
Headers
The value set to the connected account's ID. More information at List Connected Accounts
Query Parameters
The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10
Required range:
x >= 1Example:
10
The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1
Required range:
x >= 1Example:
1
Filter the result list by RFI status.
Available options:
SUBMITTED_PENDING, REJECTED, APPROVED, ACTION_REQUIRED 
